"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProgressErrorIcon = void 0;
var React = _interopRequireWildcard(require("react"));
var _AelfIcon = require("../icon/AelfIcon");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var SVGComponent = function SVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("path", {
    d: "M24 12c0 6.627-5.373 12-12 12S0 18.627 0 12 5.373 0 12 0s12 5.373 12 12ZM7.242 8.272a.343.343 0 0 0 0 .485L10.485 12l-3.243 3.243a.343.343 0 0 0 0 .485l1.03 1.03a.343.343 0 0 0 .486 0L12 13.515l3.243 3.243a.343.343 0 0 0 .485 0l1.03-1.03a.343.343 0 0 0 0-.486L13.515 12l3.243-3.242a.343.343 0 0 0 0-.485l-1.03-1.03a.343.343 0 0 0-.485 0L12 10.484 8.758 7.242a.343.343 0 0 0-.485 0l-1.03 1.03Z",
    fill: "#BE283A"
  }));
};
SVGComponent.defaultProps = {
  xmlns: "http://www.w3.org/2000/svg",
  width: "24",
  height: "24",
  fill: "none"
};
const componentName = 'ProgressErrorIcon';
const ProgressErrorIcon = exports.ProgressErrorIcon = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(_AelfIcon.AelfIcon, _extends({
    component: SVGComponent,
    componentName: componentName,
    defaultWidth: 24,
    defaultHeight: 24,
    ref: ref
  }, props));
});
ProgressErrorIcon.displayName = componentName;