function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from 'react';
import { AelfIcon } from "../icon/AelfIcon";
var SVGComponent = function SVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("path", {
    d: "M3.686 13.303a.2.2 0 0 1-.283 0l-.707-.707a.2.2 0 0 1 0-.283L7.01 8 2.696 3.687a.2.2 0 0 1 0-.283l.707-.707a.2.2 0 0 1 .283 0L8 7.01l4.313-4.313a.2.2 0 0 1 .283 0l.707.707a.2.2 0 0 1 0 .283L8.99 8l4.313 4.313a.2.2 0 0 1 0 .283l-.707.707a.2.2 0 0 1-.283 0L8 8.99l-4.314 4.313Z"
  }));
};
SVGComponent.defaultProps = {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  fill: "currentColor"
};
var componentName = 'CloseIcon';
export var CloseIcon = /*#__PURE__*/React.forwardRef(function (props, ref) {
  return /*#__PURE__*/React.createElement(AelfIcon, _extends({
    component: SVGComponent,
    componentName: componentName,
    defaultWidth: 16,
    defaultHeight: 16,
    ref: ref
  }, props));
});
CloseIcon.displayName = 'CloseIcon';