function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from 'react';
import { AelfIcon } from "../icon/AelfIcon";
var SVGComponent = function SVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("path", {
    d: "M5.938 2.737c0 .111.089.2.2.2h6.675v8.676c0 .11.089.2.2.2h.85a.2.2 0 0 0 .2-.2V2.188a.5.5 0 0 0-.5-.5H6.136a.2.2 0 0 0-.2.2v.85Zm-2.75 2.825v7.5h7v-7.5h-7Zm-.75 8.75a.5.5 0 0 1-.5-.5v-9a.5.5 0 0 1 .5-.5h8.5a.5.5 0 0 1 .5.5v9a.5.5 0 0 1-.5.5h-8.5Z"
  }));
};
SVGComponent.defaultProps = {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  fill: "currentColor"
};
var componentName = 'CopyIcon';
export var CopyIcon = /*#__PURE__*/React.forwardRef(function (props, ref) {
  return /*#__PURE__*/React.createElement(AelfIcon, _extends({
    component: SVGComponent,
    componentName: componentName,
    defaultWidth: 16,
    defaultHeight: 16,
    ref: ref
  }, props));
});
CopyIcon.displayName = componentName;