"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CircleCloseIcon = void 0;
var React = _interopRequireWildcard(require("react"));
var _AelfIcon = require("../icon/AelfIcon");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var SVGComponent = function SVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("path", {
    d: "M15 8A7 7 0 1 1 1 8a7 7 0 0 1 14 0ZM5.225 5.826a.2.2 0 0 0 0 .282L7.116 8 5.225 9.892a.2.2 0 0 0 0 .282l.6.601a.2.2 0 0 0 .284 0L8 8.884l1.892 1.891a.2.2 0 0 0 .282 0l.601-.6a.2.2 0 0 0 0-.284L8.884 8l1.891-1.891a.2.2 0 0 0 0-.283l-.6-.601a.2.2 0 0 0-.283 0L8 7.116 6.11 5.225a.2.2 0 0 0-.283 0l-.601.6Z",
    fill: "#E0E0E0"
  }));
};
SVGComponent.defaultProps = {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  fill: "none"
};
const componentName = 'CircleCloseIcon';
const CircleCloseIcon = exports.CircleCloseIcon = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(_AelfIcon.AelfIcon, _extends({
    component: SVGComponent,
    componentName: componentName,
    defaultWidth: 16,
    defaultHeight: 16,
    ref: ref
  }, props));
});
CircleCloseIcon.displayName = componentName;